> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Datasource Reverse Migration Candidates by Amplifier Integration

> Retrieves a list of datasources previously migrated from Federated to the provided Cloud Amplifier integration.



## OpenAPI

````yaml /openapi/product/federatedv2.yaml get /api/query/migration/candidates/amplifier/to/federated/integrations/{integration-id}
openapi: 3.0.0
info:
  title: Federated V2 to Amplifier Migration APIs
  version: 1.0.0
  description: >-
    These APIs leverage a Domo access token that you can generate in the admin
    panel from within your Domo instance. Instructions on generating your access
    token can be found here.
servers:
  - url: https://{instance}.domo.com
    description: Domo instance domain
    variables:
      instance:
        default: your-instance.domo.com
        description: >-
          The fully qualified domain of the Domo instance housing the Cloud
          Amplifier Integrations.
security:
  - DeveloperToken: []
tags:
  - name: Cloud Amplifier Integration
    description: Operations for managing Cloud Amplifier integrations
  - name: Migration
    description: Operations for migrating datasources between Federated and Cloud Amplifier
paths:
  /api/query/migration/candidates/amplifier/to/federated/integrations/{integration-id}:
    get:
      tags:
        - Migration
      summary: List Datasource Reverse Migration Candidates by Amplifier Integration
      description: >-
        Retrieves a list of datasources previously migrated from Federated to
        the provided Cloud Amplifier integration.
      operationId: listDatasourceReverseMigrationCandidates
      parameters:
        - name: integration-id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: >-
            The unique ID of the Cloud Amplifier integration to list reverse
            migration candidates for.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MigrationCandidate'
              example:
                - id: 8c487fef-b62d-486f-af7a-90c7d6ee0347
                  name: Federated BigQuery fifty_row_table
                  type: bigquery-federated
                  catalogName: my-project
                  schemaName: my-schema
                  tableName: fifty_row_table
                  collision: false
                  collidingDatasourceId: null
                  collidingDatasourceName: null
                  migrated: true
                  migrationDate: '2024-03-26T16:08:27.000+00:00'
      x-codeSamples:
        - lang: curl
          source: >-
            curl
            'https://{domo-domain}/api/query/migration/candidates/amplifier/to/federated/integrations/{integration-id}'
            \
              -H 'accept: application/json,*/*;q=0.8' \
              -H 'accept-language: en-US,en;q=0.9' \
              -H 'cache-control: max-age=0' \
              -H 'X-DOMO-Developer-Token: {developer-token}'
components:
  schemas:
    MigrationCandidate:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of the datasource.
        name:
          type: string
          description: Readable name of the datasource.
        type:
          type: string
          description: Type of the datasource.
        catalogName:
          type: string
          description: >-
            Name of the catalog (or equivalent) of the datasource in the system
            external to Domo.
        schemaName:
          type: string
          description: >-
            Name of the schema (or equivalent) of the datasource in the system
            external to Domo.
        tableName:
          type: string
          description: >-
            Name of the table (or equivalent) of the datasource in the system
            external to Domo.
        collision:
          type: boolean
          description: >-
            Boolean indicating whether a different datasource matching this
            candidate's catalog/schema/table name combination already exists in
            the destination Cloud Amplifier integration. If true, this indicates
            that attempting to migrate the candidate datasource will fail and
            that Domo content associated with the candidate datasource need to
            be migrated to the colliding datasource.
        collidingDatasourceId:
          type: string
          format: uuid
          nullable: true
          description: >-
            Unique identifier of the datasource colliding with this candidate
            datasource. Usually null.
        collidingDatasourceName:
          type: string
          nullable: true
          description: >-
            Readable name of the datasource colliding with this candidate
            datasource. Usually null.
        migrated:
          type: boolean
          description: >-
            Boolean indicating whether the datasource has been previously
            migrated to the Cloud Amplifier integration.
        migrationDate:
          type: string
          format: date-time
          nullable: true
          description: >-
            Date indicating when the datasource was previously migrated to the
            Cloud Amplifier integration.
  securitySchemes:
    DeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Domo access token generated from the admin panel

````